Journal: list

Return information about the Journals by Record id and Record type.

Request - GET https://api-uat.vtopenview.com/journals?recordType={recordType}&recordId={recordId}&isPublic={isPublic}&modifiedDate={modifiedDate}

You will need to supply Record Type,Record Id with this method. You can get your Record Id from the return of each record list and the record type is explained below.
You can optionally provide:
- isPublic (True/False) to return public or private journals only. If not provided, both public and private journals will be returned.
- modifiedDate (date) to return journals modified on or after a specific date.
You will need to include your access token upon making a request. For more information, see the authentication and authorization page.

Example request with authorization:

curl -- GET Base URI: https://api-uat.vtopenview.com/journals?recordType={recordType}&recordId={recordId}&isPublic={isPublic}&modifiedDate={modifiedDate}
--header "Authorization: Bearer MTQ0NjJkZmQ5OTM2NDE1ghNNBiuyUYUN"

Query Parameters
recordType
int
Landlord record type = 2
Property record type = 3
Tenant record type = 4
Tenancy record type = 5
Contractor record type = 6
Contact record type = 9
Vendor record type = 11
Applicant record type = 12
Offer record type = 13
Business record type = 14

recordId
long
The Record's ID

isPublic
bool
The Journal's Public filter

modifiedDate
date
Optional. Filters journals modified on or after the specified date.

Response

If successful, this method returns a response body with the following structure:

Example response:

HTTPS 200 OK
Content-Type: application/json
{
"Journals": [
{
"JournalId": long,
"JournalTypeId": integer,
"JournalTypeName": "string",
"JournalDate": "date",
"Note": "string",
"Hidden": boolean,
"Public": boolean,
"HasAttachment": boolean,
"Records": [
{
"JournalId": long,
"RecordTypeId": integer,
"RecordId": long,
}
],
"Attachments": [
{
"JournalAttachmentId": long,
"JournalId": long,
"DocumentTypeId": integer,
"MediaId": long,
"MediaGuid": "guid",
"MediaUrl": "string",
"FileString64": "string"
}
],
"JournalType": {
"JournalTypeId": integer,
"JournalTypeName":"string"
}
}
]
}